Skip to main content
GET
/
price
/
history
/
range
SDK
import { Client } from '@solana-tracker/data-api';

const client = new Client({ apiKey: 'YOUR_API_KEY' });

const data = await client.getPriceRange('6p6xgHyF7AeE6TZkSmFsko444wqoP15icUSqi2jfGiPN', 1700000000, 1700086400);
{
  "token": "HEZ6KcNNUKaWvUCBEe4BtfoeDHEHPkCHY9JaDNqrpump",
  "price": {
    "lowest": {
      "price": 0.000005754645330040387,
      "marketcap": 5596.095215452651,
      "time": 1740007974
    },
    "highest": {
      "price": 0.003416286604926481,
      "marketcap": 3322162.188631335,
      "time": 1740216420
    }
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.solanatracker.io/llms.txt

Use this file to discover all available pages before exploring further.

SDK Example

import { Client } from '@solana-tracker/data-api';

const client = new Client({ apiKey: 'YOUR_API_KEY' });

const data = await client.getPriceRange('6p6xgHyF7AeE6TZkSmFsko444wqoP15icUSqi2jfGiPN', 1700000000, 1700086400);

Authorizations

x-api-key
string
header
required

API Key for authentication

Query Parameters

token
string
required

The token address

time_from
integer
required

Start time (unix timestamp)

time_to
integer
required

End time (unix timestamp)

Response

200 - application/json

Successful response

token
string
price
object